#include<bits/stdc++.h>
#include<cmath>
using namespace std;
int main()
{
    int n;
    scanf("%d",&n);
    char s[1000000]={};
    scanf("%s",s);
    int k=strlen(s);
    if(k<=n)
       cout<<s<<endl;
    else if(k>n){
      for(int i=0;i<n;i++){
        printf("%c",s[i]);}
        cout<<"..."<<endl;
    }
    return 0;
}